Subject: Re: Macintosh.

From: Raza Abbas <[email-masked]>
Date: Tue, 11 Feb 1997 16:51:00 -0800

Thanks to Joseph Porrovecchio and Joe Pallas for replying to my
requests.

I would like to explain the situation in detail:

I have an SGI which I have configured to get an MBONE feed. This SGI has
two interfaces the ATM and the ethernet interface. The Mbone feed is
over the ATM interface. 

On a different network to which the Ethernet interface of the SGI is
hooked on, I also have a bunch of Power PCs running MAC-OS. These also
need to get the MBONE feed. On these machines I have installed all the
Quicktime stuff recommended and the MBONE for the mac obtained from the
following site http://live.apple.com/metallica/tools/index.html

I have also installed the OT 1.1.1. Now I don't know how I an get the
mbone feed to these power pcs. I read in the requirements on the above
page as well as the following
http://www.wnet.ca/multicast/doc2.htm
that a tunnel to a mac from a UNIX machine getting the mbone feed will
provide the macs with the mbone. I understand that the tunnel has to be
activated from both the ends. I know how to establish a tunnel from the
unix to the mac, but I have no idea how I can do the reverse, ie, from
the mac to the SGI. Is there a other ways to do what I am doing?

Could someone give me a solution to this problem. I would be extremely
grateful for all help

Thanks 
Raza Abbas

> >       Can someone tell me how I can get an MBone feed to a power mac, or create a tunnel from a UNIX machine having an mbone feed.
> 
> I'm not sure what you're asking, exactly.  If your question is, "How can I
> get multicast packets from the MBone to some machine?" then the usual
> answer would be:
> 
> (a) connect it to a multicast-capable network that is connected to the
> MBone, or
> (b) run mrouted and establish a tunnel to a multicast router on the MBone.
> 
> In the case of the Macintosh, option (b) is not available, because no one
> has ported mrouted.
> 
> If, however, your question is, "How can I view audio and video content on a
> Power Macintosh that is on an MBone network?" the answer is to make sure
> you have OpenTransport (version 1.1.1 or later is best), and to visit
> <http://qttv.quicktime.apple.com/qttv/qttv.client.html> to get the software
> you need, including the software under the heading "Watching RTP Webcasts."
> This software is a pre-release version with some bugs and missing features.
> It supports PCM or GSM audio and NV, H.261 or JPEG video.
> 
> Hope this helps.
> joe
> 
> --
> Joe Pallas
> Apple Research Labs
> When your only problem is a nail, every tool looks like a hammer.

---

From: Yves Lepage <[email-masked]>
Date: Wed, 12 Feb 97 07:29:24 -0500

Hi Raza,

I think the easiest way for you to achieve what you want is to add
a network interface (physically) to your SGI, put it on the PowerMac
network and configure it (or the other way around: configure it first :-)).

This way your SGI will drop mcats traffic onto that network and you
can then forget about tunnels and you can later add more PowerMacs to that network
and it'll be transparent from your setup's point of view.

I hope this helps,
Yves

---

From: Joseph Porrovecchio <[email-masked]>
Date: Wed, 12 Feb 1997 10:38:23 -0500

> the mac to the SGI. Is there a other ways to do what I am doing?

What type of router (gatweway) is your sgi directly connected to?
The reason I ask is that if your router supports MOSPF you can do away with 
the tunneling within your network. 
As Yves mentioned , your can pipe mbone packets to the ethernet interface 
which would eliminate establishing tunnels from the sgi atm interface to each 
mac on the ethernet interface.

regards,

-- 
Joseph Porrovecchio 
Network Support Specialist
------
External Networking Facilities Management  	
4 Bancroft Ave. Rm. 101			         
Toronto, Ontario M5S 1C1		   
Voice: 416.978.0188  Fax: 416.978.6620	   
http://enfm.utcc.utoronto.ca/~joseph / N.O.C.: 1.800.268.6324